var tempHTML = '<div id="scrollText" style="width:600px;  overflow: hidden; float:left; padding-left:10px;">'
for(var i=0;i<strArray.length;i++){
	tempHTML = tempHTML +'<div style="height:20px; font-size:13px; line-height:20px;">'+strArray[i]+'</div>';
}
tempHTML = tempHTML 
+'</div>';
document.write(tempHTML); 
marqueesHeight1 = 20 + "px";
stopscroll1 = false;
GetObj("scrollText").scrollTop = 0;
with(GetObj("scrollText")){
	style.height = marqueesHeight1;
	style.overflow = "hidden";
	noWrap=true;
}
GetObj("scrollText").onmouseover=new Function("stopscroll1=true");
GetObj("scrollText").onmouseout=new Function("stopscroll1=false");
preTop = 0;
currentTop = 20;
stoptime = 0;
GetObj("scrollText").innerHTML += GetObj("scrollText").innerHTML;
function init_srolltext1(){
	GetObj("scrollText").scrollTop = 0;
	setInterval("scrollUp1()",50);
}
init_srolltext1();

function scrollUp1(){
	if(stopscroll1==true) return;
	currentTop+=1;
	if(currentTop==21)
	{
		stoptime+=1;
		currentTop-=1;
		if(stoptime==40)
		{
			currentTop=0;
			stoptime=0;
		}
	}
	else
	{
		preTop=GetObj("scrollText").scrollTop; 
		GetObj("scrollText").scrollTop+=1;
		if(preTop == GetObj("scrollText").scrollTop){ 
			GetObj("scrollText").scrollTop = 20;
			GetObj("scrollText").scrollTop += 1;
		}
	}
}

function GetObj(objName){
	if(document.getElementById){
		return eval('document.getElementById("' + objName + '")');
	}else if(document.layers){
		return eval("document.layers['" + objName +"']");
	}else{
		return eval('document.all.' + objName);
	}
}